ExtendedConstruct
Keywords: uk.ac.bbk.dcs.automed.evolution2.ExtendedConstruct class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.evolution2
Class ExtendedConstruct

    java.lang.Object
      uk.ac.bbk.dcs.automed.evolution2.ExtendedConstruct

    public class ExtendedConstruct

extends java.lang.Object

Field Summary
`static int` | `APPEARS_WITH_DIFFERENT_SEMANTICS`
`static int` | `APPEARS_WITH_SAME_SEMANTICS`
`static int` | `DOES_NOT_APPEAR_AND_CANNOT_BE_DERIVED`
`static int` | `DOES_NOT_APPEAR_BUT_CAN_BE_DERIVED`

Constructor Summary
`ExtendedConstruct(java.lang.String name, int type, java.lang.String query, ExtendedConstruct ec)`

Method Summary
`ExtendedConstruct` | `getExtendedConstruct()`
`java.lang.String` | `getName()`
`java.lang.String` | `getQuery()`
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### APPEARS_WITH_SAME_SEMANTICS

    public static final int APPEARS_WITH_SAME_SEMANTICS

See Also:
  Constant Field Values

### APPEARS_WITH_DIFFERENT_SEMANTICS

    public static final int APPEARS_WITH_DIFFERENT_SEMANTICS

See Also:
  Constant Field Values

### DOES_NOT_APPEAR_BUT_CAN_BE_DERIVED

    public static final int DOES_NOT_APPEAR_BUT_CAN_BE_DERIVED

See Also:
  Constant Field Values

### DOES_NOT_APPEAR_AND_CANNOT_BE_DERIVED

    public static final int DOES_NOT_APPEAR_AND_CANNOT_BE_DERIVED

See Also:
  Constant Field Values

Constructor Detail

### ExtendedConstruct

    public ExtendedConstruct(java.lang.String name,
                             int type,
                             java.lang.String query,
                             ExtendedConstruct ec)

Method Detail

### getName

    public java.lang.String getName()

### getExtendedConstruct

    public ExtendedConstruct getExtendedConstruct()

### getType

    public int getType()

### getQuery

    public java.lang.String getQuery()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD